Get a specific reserved IP
curl --request GET \
--url https://api.cloud.onidel.com/network/reserved_ips/{reserved_ip_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.onidel.com/network/reserved_ips/{reserved_ip_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.onidel.com/network/reserved_ips/{reserved_ip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"location": "<string>",
"status": "active",
"billing_cycle": 123,
"renewal_date": "2023-11-07T05:31:56Z",
"last_renewal": "2023-11-07T05:31:56Z",
"recurring_amount": 123,
"currency": "<string>",
"total_billed": 123,
"ip_addr": "127.0.0.1",
"suspension_reason": "<string>",
"attachment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}Reserved IPs
Get a specific reserved IP
Retrieve details of a specific reserved IP by ID
GET
/
network
/
reserved_ips
/
{reserved_ip_id}
Get a specific reserved IP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Reserved IP ID
Example:
"d3c0dc7b-6ca4-4b35-8f3c-a00adc3993d5"
Query Parameters
Team ID to verify ownership. If not provided, uses the user's primary team
Response
Reserved IP details
Reserved IP UUID
Name of the reserved IP
Location name where the IP is allocated
Current status of the reserved IP
Available options:
active, suspended Billing cycle in months
Next renewal date
Last renewal date
Recurring billing amount
Currency code for billing
Total amount billed
The reserved IP address
Reason for suspension (empty string if not suspended)
VM attachment details, null if not attached
Show child attributes
Show child attributes